Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.render.servlets.jsp
Class RenderHelper

    java.lang.Object
      |
      +--com.bea.portal.render.servlets.jsp.RenderHelper

Direct Known Subclasses:
  PortalRenderHelper, PortletRenderHelper

public class RenderHelper
extends Object

A base class for the two helper classes PortalRenderHelper and PortletRenderHelper.

Constructor Summary
`RenderHelper()`

Method Summary
`static PageIdentifier` | `getPageIdentifier(HttpServletRequest request)` Return the current page identifier
`static PageState` | `getPageState(HttpServletRequest request)` Retrieve the page state
`static PortalSession` | `getPortalSession(HttpServletRequest request)` Get the PortalSesison from the PipelineSession
`static PortalState` | `getPortalState(HttpServletRequest request)` Retrieve the portal state
`static PortletIdentifier` | `getPortletIdentifier(HttpServletRequest request)` Retrieve the portlet name from the HTTPServletRequest.
`static PortletState` | `getPortletState(HttpServletRequest request)` Retrieve the portlet state

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderHelper

    public RenderHelper()

Method Detail

### getPortalSession

    public static PortalSession getPortalSession(HttpServletRequest request)
                                          throws JspException

  Get the PortalSesison from the PipelineSession

    `JspException`

### getPageIdentifier

    public static PageIdentifier getPageIdentifier(HttpServletRequest request)
                                            throws JspException

  Return the current page identifier

    `JspException`

### getPortletIdentifier

    public static PortletIdentifier getPortletIdentifier(HttpServletRequest request)
                                                  throws JspException

  Retrieve the portlet name from the HTTPServletRequest. This should be placed there by the rendering engine before each portlet is rendered.

    `JspException`

### getPortalState

    public static PortalState getPortalState(HttpServletRequest request)
                                      throws JspException

  Retrieve the portal state

    `JspException`

### getPageState

    public static PageState getPageState(HttpServletRequest request)
                                  throws JspException

  Retrieve the page state

    `JspException`

### getPortletState

    public static PortletState getPortletState(HttpServletRequest request)
                                        throws JspException

  Retrieve the portlet state

    `JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved